Get Abandoned Checkouts
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/abandoned-checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"type": null,
"search": null,
"date_from": null,
"date_to": null,
"include_dismissed": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/abandoned-checkouts"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"type": None,
"search": None,
"date_from": None,
"date_to": None,
"include_dismissed": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
type: null,
search: null,
date_from: null,
date_to: null,
include_dismissed: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/abandoned-checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 3,
"status": "created",
"price": "14.99",
"currency": "USD",
"gateway": null,
"payment_method_id": null,
"email": "customer@sellauth.test",
"salt": "f499018c415d0",
"created_at": "2026-09-20T15:56:24.000000Z",
"shop_customer_id": 1,
"abandoned_dismissed_at": null,
"abandoned_recovery_sent_at": null,
"abandoned_recovery_source": null,
"abandoned_recovery_due_at": null,
"abandoned_recovery_skipped_at": null,
"abandoned_recovery_skip_reason": null,
"unique_id": "f499018c415d0-0000000000003",
"customer": {
"id": 1,
"shop_id": 1,
"email": "customer@sellauth.test",
"discord_id": null,
"discord_username": null
},
"items": [],
"payment_method": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/abandoned-checkouts?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/abandoned-checkouts?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/abandoned-checkouts?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/abandoned-checkouts",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Abandoned Checkouts
Get Abandoned Checkouts
Retrieves a paginated list of abandoned checkouts.
GET
/
v1
/
shops
/
{shopId}
/
abandoned-checkouts
Get Abandoned Checkouts
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The ID of the shop.
Body
application/json
Page number.
Example:
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
Example:
null
Available options:
id, price_usd, created_at, abandoned_recovery_sent_at Example:
null
Available options:
asc, desc Example:
null
Available options:
created, pending, all Example:
null
Search by email. Must not be greater than 255 characters.
Example:
null
Must be a valid date.
Example:
null
Must be a valid date. Must be a date after or equal to date_from.
Example:
null
Include dismissed checkouts.
Example:
null
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 3,
"status": "created",
"price": "14.99",
"currency": "USD",
"gateway": null,
"payment_method_id": null,
"email": "customer@sellauth.test",
"salt": "f499018c415d0",
"created_at": "2026-09-20T15:56:24.000000Z",
"shop_customer_id": 1,
"abandoned_dismissed_at": null,
"abandoned_recovery_sent_at": null,
"abandoned_recovery_source": null,
"abandoned_recovery_due_at": null,
"abandoned_recovery_skipped_at": null,
"abandoned_recovery_skip_reason": null,
"unique_id": "f499018c415d0-0000000000003",
"customer": {
"id": 1,
"shop_id": 1,
"email": "customer@sellauth.test",
"discord_id": null,
"discord_username": null
},
"items": [],
"payment_method": null
}
]
Example:
"http://api.sellauth.test/v1/shops/1/abandoned-checkouts?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/abandoned-checkouts?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/abandoned-checkouts?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/abandoned-checkouts"
Example:
20
Example:
null
Example:
1
Example:
1